JDownloader Community - Appwork GmbH
 

Reply
 
Thread Tools Display Modes
  #21  
Old 18.09.2022, 14:44
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

@mensa: Ich kann da leider wenig hinzufügen. Ich würde hier empfehlen zu warten bis sie das Thema auf dem Schirm haben und sich anschauen bzgl einen Java Build anwerfen.
Hast du mal versucht JDownloader mit
java -Djava.net.preferIPv4Stack=true -jar JDownloader.jar zu starten?
__________________
JD-Dev & Server-Admin
Reply With Quote
  #22  
Old 18.09.2022, 14:55
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Nein, so hab ich es noch nicht probiert.
Könntest du mir bitte noch einen Link schicken, welche Java Version ich dafür downloaden soll? Aktuell hab ich ja gar keine auf der Box.
Reply With Quote
  #23  
Old 18.09.2022, 15:03
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

@mensa: puh, bei der Java Version/Auswahl kann ich grad nicht helfen. Versuch einfach mal arm builds (soweit die Box ARM CPU hat?)
zb von hier, adoptium.net/de/ oder dem Link in dem openATV Forum
__________________
JD-Dev & Server-Admin
Reply With Quote
  #24  
Old 18.09.2022, 15:04
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Ok, danke. Wo krieg ich die aktuellste JDownloader.jar jetzt alleine her?
Reply With Quote
  #25  
Old 18.09.2022, 15:10
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

Quote:
Originally Posted by mensa View Post
Ok, danke. Wo krieg ich die aktuellste JDownloader.jar jetzt alleine her?
siehe https://support.jdownloader.org/Know...bedded-devices
__________________
JD-Dev & Server-Admin
Reply With Quote
  #26  
Old 18.09.2022, 16:01
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Hallo, danke für den Link zu adoptium.net/de/ - mit dem ARM Build dort funktioniert der JDownloader nun wieder auf meiner Vu+ Uno 4K mit openATV 7.1 Image!!!

adoptium.net/de/temurin/releases


Last edited by Jiaz; 18.09.2022 at 16:52.
Reply With Quote
  #27  
Old 18.09.2022, 16:53
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

@mensa: Danke für die Rückmeldung! Freut mich das es endlich nun wieder geht.
Mit oder ohne dem zusätzlichen Parameter?
__________________
JD-Dev & Server-Admin
Reply With Quote
  #28  
Old 18.09.2022, 16:55
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Funktioniert ohne den zusätzlichen Parameter.
Reply With Quote
  #29  
Old 18.09.2022, 16:56
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Im oATV Forum ist noch die Frage aufgetaucht, ob das JDK benötigt wird, oder ob JRE reicht!?
Reply With Quote
  #30  
Old 18.09.2022, 16:58
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

@mensa: jdk ist primär für Entwicklung nötig. jre zum Ausführen von Java Anwendungen. Somit kannst auch das jre nutzen

Du kannst ja auch mal als Alternative die Java 1.8 und Java 11 Versionen testen. Eigentlich sollten diese auch gehen! Ob nun der Fix in neuster openATV kommt kannst du nur herausfinden indem du zb ältere openATV Versionen mit dieser Java Version gegenprüfst. Ich vermute das im neusten Build irgendwas anders ist und daher Java wieder geht.
__________________
JD-Dev & Server-Admin

Last edited by Jiaz; 18.09.2022 at 17:01.
Reply With Quote
  #31  
Old 18.09.2022, 17:03
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Die ältere Java Version hat in der neuen oATV 7.1 Version leider auch nicht funktioniert. Nur dieses Java 17 eben jetzt. Aber egal, Hauptsache es läuft.

Ich hab ja das JDownloader.jar geladen und dann installieren lassen. Habe ich somit auch die aktuellesten RAR5 Plugins drin, oder muss ich das wieder manuell machen bzw. wie kontrollier ich das?
Reply With Quote
  #32  
Old 18.09.2022, 17:06
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

@mensa: Hast du die älteren Versionen auch mal mit dem genannten Parameter versucht?
Nein, bzgl Entpacker musst du nichts machen. Entweder ist die native Library kompatibel oder man muss eine für das System noch bauen
__________________
JD-Dev & Server-Admin
Reply With Quote
  #33  
Old 18.09.2022, 17:07
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Ja, ich habe die alte Version mit dem genannten Parameter versucht, aber es kamen die gleichen Fehler. Mit der neuen Java 17 ohne Parameter kommen keine Fehler.
Reply With Quote
  #34  
Old 18.09.2022, 17:08
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 79,044
Default

@mensa: Danke für deine Zeit und Tests Was es genau am Ende war wird wohl erstmal weiter unbekannt sein Aber Hauptsache eine funktionierende Lösung gefunden
__________________
JD-Dev & Server-Admin
Reply With Quote
  #35  
Old 21.01.2023, 08:30
mensa mensa is offline
JD Adviser
 
Join Date: Nov 2012
Posts: 106
Default

Hi @Jiaz!
Ich installiere meine Box gerade neu. Soll ich Java Version 17, 18 oder 19 von der Adoptium Seite verwenden?
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 18:43.
Provided By AppWork GmbH | Privacy | Imprint
Parts of the Design are used from Kirsch designed by Andrew & Austin
Powered by vBulletin® Version 3.8.10 Beta 1
Copyright ©2000 - 2023, Jelsoft Enterprises Ltd.